SINH(3)

NAME
sinh, sinhf, sinhl - hyperbolic sine functions

SYNOPSIS
#include <math.h>
double
sinh(double x);
float
sinhf(float x);
long double
sinhl(long double x);

DESCRIPTION
The sinh() function computes the hyperbolic sine of x. The sinhf() function is a single precision version of sinh(). The sinhl() function is an extended precision version of sinh().

RETURN VALUES
The sinh(), sinhf() and sinhl() functions return the hyperbolic sine value unless the magnitude of x is too large; in this event, the global variable errno is set to ERANGE.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), sin(3), tan(3), tanh(3)

STANDARDS
The sinh() function conforms to ansiC.